%define		_state		stable
%define		orgname		granatier
%define		qtver		4.8.0

Summary:	Granatier
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	1bf4a71c54f11192d8827206cc7148d1
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdegames-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-kdegames-%{orgname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Granatier.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{orgname}	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post			-p /sbin/ldconfig
%postun			-p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/granatier
%{_datadir}/apps/granatier
%{_desktopdir}/kde4/granatier.desktop
%{_datadir}/config.kcfg/granatier.kcfg
%{_iconsdir}/hicolor/*x*/apps/granatier.png
%{_iconsdir}/hicolor/scalable/apps/granatier.svgz
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-granatier.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> e0f659d
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 0d6f1c6
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b8985b8
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f4bde19
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 06311d7
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6a484a4
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 12191e0
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 54dc18e
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b86e3ad
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7d848d8
- updated to 4.12.1 (by update-kde4.sh)

* Wed Dec 25 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 6501ed2
- orgname and other fixes

* Tue Dec 24 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 06eb13d
- touch was wrong

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 266cbf5
- new

